Subject: bug#20070: 24.3; have commands such as downcase-region act on a rectangle region

From: Juri Linkov <[email-masked]>
Date: Thu, 12 Mar 2015 21:23:58 +0200

> While this is not the same bug as bug#19829, it's fundamentally the same
> issue, and they should be fixed in the same way.

Currently, `downcase-region' is defined with the interactive spec 'r'
that calls the function with point and mark as 2 args.

For backward-compatibility reasons this can't be changed.  So maybe
a new interactive spec e.g. 'R' should call the function with 2 lists
where the first list will contain a list of beginnings of all intervals
in the rectangular region, and the second list of endings of intervals?

Then a command using it will need to add another outermost loop to pop
interval boundaries from both list arguments `begs' and `ends' to process
intervals using the same logic like it processes a single region now.